#!/usr/bin/perl -w
#-------------------------------------------------------------------------------
# pod.pl                                         (C) 2024 T.Birnthaler OSTC GmbH
# POD (Plain old Documentation) ausprobieren.
# $Id:$
#-------------------------------------------------------------------------------
use strict;

my $text = "Hallo Welt!";
print "Vor der POD-Dokumentation: $text\n";
exit(0);

__END__
#-------------------------------------------------------------------------------
# Vor der POD-Dokumentation: $text\n";
#-------------------------------------------------------------------------------
=pod

=head1 NAME

pod - Nur ein Beispiel fuer eine POD-Doku

=head1 SYNOPSIS

  PGM [OPTIONS] FILE...
  PGM -v
  PGM --help
  PGM --version

=head1 OPTIONS AND ARGUMENTS

=over

=item B<-c> Beschreibung der Option

=item B<-l>I<nn> Beschreibung der Option

=back

=head1 DESCRIPTION

Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.
Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.

Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.
Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.

=head2 SUBHEAD2

Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.

=over

=item * Punkteliste

=item * Punkteliste

=item * Punkteliste

=over

=item 1 Punkteliste

=item 2 Punkteliste

=item 3 Punkteliste

=over

=item Begriff Dies ist eine Beschreibung

=item Begriff Dies ist eine Beschreibung

=item Begriff Dies ist eine Beschreibung

=back

=back

=back

Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.

=head3 SUBHEAD3

Hyperlink L<link>.
Escape E<lt>.
Filename F<file>.
Textstueck mit untrennbaren Leerzeichen S<dies ist text mit untrennbaren Leerzeichen>.
Indexeintrag X<index>.
TrennstelleZ<>Trennstelle.

=head4 SUBHEAD4

Dies soll nur beispielhaft zeigen, B<bold> und I<italic> und C<code>,
wie man mit POD dokumentieren kann.

=for HTML Spezieller Absatz fuer HTML bis zur naechsten Leerzeile.
Spezieller Absatz fuer HTML bis zur naechsten Leerzeile.
Spezieller Absatz fuer HTML bis zur naechsten Leerzeile.

=begin HTML

Spezieller Absatz fuer HTML bis zu C<=end>.
Spezieller Absatz fuer HTML bis zu C<=end>.
Spezieller Absatz fuer HTML bis zu C<=end>.

Spezieller Absatz fuer HTML bis zu C<=end>.
Spezieller Absatz fuer HTML bis zu C<=end>.
Spezieller Absatz fuer HTML bis zu C<=end>.

=end

=head1 EXAMPLES

    Eingerueckter Text, alle Zeichen repliziert ^!"$%&/()=?`+*~#'
    Eingerueckter Text, alle Zeichen repliziert ^!"$%&/()=?`+*~#'
    Eingerueckter Text, alle Zeichen repliziert ^!"$%&/()=?`+*~#'

=head1 SEE ALSO

C<http://www.ostc.de>

=head1 BUGS

Hoffentlich keine!

=head1 AUTHOR

(C) 2024 T.Birnthaler, H.Gottschalk OSTC GmbH

=cut
